# Class MouseInfo

java.lang.Object
java.awt.MouseInfo

public class MouseInfo extends Object
`MouseInfo` provides methods for getting information about the mouse, such as mouse pointer location and the number of mouse buttons.

Since:
  1.5

## Method Summary

Modifier and Type
Method
Description
`static int`
`getNumberOfButtons()`
Returns the number of buttons on the mouse.
`static PointerInfo`
`getPointerInfo()`
Returns a `PointerInfo` instance that represents the current location of the mouse pointer.

### Methods declared in class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`
Modifier and Type
Method
Description
`protected Object`
`clone()`
Creates and returns a copy of this object.
`boolean`
`equals(Object obj)`
Indicates whether some other object is "equal to" this one.
`protected void`
`finalize()`
Deprecated, for removal: This API element is subject to removal in a future version.
Finalization is deprecated and subject to removal in a future release.
`final Class<?>`
`getClass()`
Returns the runtime class of this `Object`.
`int`
`hashCode()`
Returns a hash code value for this object.
`final void`
`notify()`
Wakes up a single thread that is waiting on this object's monitor.
`final void`
`notifyAll()`
Wakes up all threads that are waiting on this object's monitor.
`String`
`toString()`
Returns a string representation of the object.
`final void`
`wait()`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted.
`final void`
`wait(long timeoutMillis)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.
`final void`
`wait(long timeoutMillis, int nanos)`
Causes the current thread to wait until it is awakened, typically by being notified or interrupted, or until a certain amount of real time has elapsed.

## Method Details

### getPointerInfo

public static PointerInfo getPointerInfo() throws HeadlessException
Returns a `PointerInfo` instance that represents the current location of the mouse pointer. The `GraphicsDevice` stored in this `PointerInfo` contains the mouse pointer. The coordinate system used for the mouse position depends on whether or not the `GraphicsDevice` is part of a virtual screen device. For virtual screen devices, the coordinates are given in the virtual coordinate system, otherwise they are returned in the coordinate system of the `GraphicsDevice`. See `GraphicsConfiguration` for more information about the virtual screen devices. On systems without a mouse, returns `null`.

Returns:
  location of the mouse pointer
Throws:
  `HeadlessException` - if GraphicsEnvironment.isHeadless() returns true
Since:
  1.5

### getNumberOfButtons

public static int getNumberOfButtons() throws HeadlessException
Returns the number of buttons on the mouse. On systems without a mouse, returns `-1`. The number of buttons is obtained from the AWT Toolkit by requesting the `"awt.mouse.numButtons"` desktop property which is set by the underlying native platform.

Returns:
  number of buttons on the mouse
Throws:
  `HeadlessException` - if GraphicsEnvironment.isHeadless() returns true
Since:
  1.5
See Also:
  - `Toolkit.getDesktopProperty(String)`